// Include files
#include <sys/types.h>
#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

// Defines
#define MYAPP "[simpleFork2]"
#define PARENT "<parent>"
#define CHILD  "<child>"
#define ILOOP 10
#define JLOOP 5000000

// Main function
int main(int argc, char **argv)
{
  pid_t pid;
  char pMsg[]=PARENT;
  char cMsg[]=CHILD;
  char *p;
  int i,j;
  double a;

  pid=fork();
  switch (pid) {
  case 0: // child process
    p=cMsg;
    break;
  case -1: // error in fork()
    perror(MYAPP "Error calling fork: ");
    break;
  default: // parent process
    p=pMsg;    
    break;
  }

  for (i=0;i<ILOOP;i++) {
    for (j=0;j<JLOOP;j++) {
      a = sqrt((double)i*j/3.14);
    }
    printf("%s%s (%d) Process ID is %d\n",MYAPP,p,i,(int)getpid());
  }

  exit(EXIT_SUCCESS);
}
